POST
/api/public/v1/tickets

Create a ticket

Create a new ticket in a project. The calling employee is recorded as the reporter.

Request Body

PropertyTypeDescription
projectIdstringOwning project.
titlestringTicket title.
descriptionstringDescription.
statusstringInitial status.
prioritystringPriority.
typestringTicket type.
storyPointsnumberStory points.
dueDatestringISO 8601 due date.
assigneeIdstringAssigned employee ID.
sprintIdstringContaining sprint ID.
POSTExample request
curl
curl -X POST "https://www.pxb.app/api/public/v1/tickets" \
  -H "X-Organization-Id: your_org_id" \
  -H "X-API-Key: your_api_key" \
  -H "Content-Type: application/json" \
  -d '{
    "projectId": "proj_1",
    "title": "Wire up auth",
    "priority": "HIGH"
  }'
200Example response
json
{
  "message": "Ticket created successfully!",
  "content": {
    "ticket": {
      "id": "tkt_1",
      "number": 1
    }
  }
}